### File

`packages/components/layout/eui-app/eui-app-sidebar/sidebar-drawer/sidebar-drawer.component.ts`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `eui-app-sidebar-drawer`
templateUrl | `./sidebar-drawer.component.html`

### Index

###### Methods
Public onSidebarDrawerContentClick
###### Inputs
isExpanded
###### HostBindings
class
###### Accessors
isExpanded cssClasses

### Inputs

isExpanded
Type : `boolean`

### HostBindings

class
Type : `string`

### Methods

Public onSidebarDrawerContentClick
`onSidebarDrawerContentClick(event: Event)`
Parameters :
Name | Type | Optional
event | `Event` | No
Returns : `void`

### Accessors

isExpanded
get `isExpanded()`
set `isExpanded(value: BooleanInput)`
Parameters :
Name | Type | Optional
value | `BooleanInput` | No
Returns : `void`

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""